in scala.xml
class Elem

`case class` Elem
  `extends` scala.xml.Node
  `with` scala.ScalaObject
  `with` scala.CaseClass

  The case class `Elem` extends the Node class, providing an immutable data object representing an XML element.

Parameters:
  `prefix -` (may be null)
Parameters:
  `label -` the element name
Parameters:
  `attribute -` the attribute map
Parameters:
  `child -` the children of this node
Author:
  Burak Emir

Constructor Summary
| `def` this (prefix: java.lang.String, label: java.lang.String, attributes: scala.xml.MetaData, scope: scala.xml.NamespaceBinding, child: scala.xml.Node*)

Val Summary
`override` | `val` attributes : scala.xml.MetaData
| `val` child : scala.xml.Node*
| `val` label : java.lang.String
`override` | `val` prefix : java.lang.String
`override` | `val` scope : scala.xml.NamespaceBinding

Def Summary
`final` `override` | `def` $tag : scala.Int
`final` | `def` % (attrs: scala.xml.MetaData) : scala.xml.Elem Return a new element with updated attributes
`final` `override` | `def` caseArity : scala.Int
`final` `override` | `def` caseElement (x$1: scala.Int) : scala.Any
`final` `override` | `def` caseName : java.lang.String
`override` | `def` hashCode : scala.Int
`override` | `def` text : java.lang.String
`final` `override` | `def` typeTag$ : scala.Int

Constructor Detail

`def` this (prefix: java.lang.String, label: java.lang.String, attributes: scala.xml.MetaData, scope: scala.xml.NamespaceBinding, child: scala.xml.Node*)

Val Detail

`override val` attributes : scala.xml.MetaData

`val` child : scala.xml.Node*

`val` label : java.lang.String

`override val` prefix : java.lang.String

`override val` scope : scala.xml.NamespaceBinding

Def Detail

`final override def` $tag : scala.Int

`final def` % (attrs: scala.xml.MetaData): scala.xml.Elem

  Return a new element with updated attributes

Parameters:
  `attrs -`
Returns:
  a new symbol with updated attributes

`final override def` caseArity : scala.Int

`final override def` caseElement (x$1: scala.Int): scala.Any

`final override def` caseName : java.lang.String

`override def` hashCode : scala.Int

`override def` text : java.lang.String

`final override def` typeTag$ : scala.Int